%morison density
clear all, close all, clc
% in order of:
% Center column,
% side column above pontoon,
% side column,
% bot radial beam,
% bot ring beam.
% top ring beam,
% top cross beam,
% mid pontoon cylinder large,
% mid pontoon cylinder small,
% mid pontoon cone,
% side pontoon cylinder,
% side pontoon cone,
D   = [3.56, 3.56, 2.8, 1.75, 2.05, 2.29, 2.05, 17, 8, 5.78, 12, 7.79 ]; %[m]
t   = [31,34,30,23,24,18,18,137,137,137,62,62,62]/1000; %[m]
for i=1:12
    D2(i)   = D(i)-2*t(i);
    A(i)    = pi*(D(i)^2-D2(i)^2)/4
    rho(i)  = 7850*A(i);
end
